Subject: Re: [PATCH] drivers/isdn: checkng length to be sure not memory overflow

From: Jiri Slaby <[email-masked]>
Date: Thu, 28 Feb 2013 11:00:07 +0100

On 02/28/2013 02:45 AM, Chen Gang wrote:
> 于 2013年02月27日 18:44, Jiri Slaby 写道:
>> On 02/27/2013 11:25 AM, Chen Gang wrote:
>>>> 于 2013年02月27日 17:48, Jiri Slaby 写道:
>>>>>> I have no idea if
>>>>>> this is correct from the ISDN POV as we drop the end of the buffer
>>>>
>>>>   pardon ?  what about "ISDN POV".
>> "point of view" aka POV.
>>
>> Hmm, "also known as" alias "aka" :).
> 
> 
>   sorry, I still not quite understand (I am really not familiar with ISDN)
> 
>   so I have to bother you with 2 questions, please help reply, thanks.
> 
>     A) is our current patch OK ?
>        a. yes, ok, need do nothing for it, just is waiting for Acked-by or applying.
>        b. no, need improving (e.g. additional consideration, comments, or others)
>        c. no, it is useless patch.
> 
>     B) does "ISDN POV" point to another issue ?
>        if yes:
>          I will read source code or search document on net, and should not bother you again.
>          if possible, I can try to send relative patches, next.
>        else (no):
>          could you please say more details again ?

No, the sentence was "I have no idea if this is correct from the ISDN
point of view because we drop the end of the buffer." I don't think
there are piles of people to care about ISDN much nowadays. So we can
close that it is correct to drop the rest of the buffer. In a hope that
+M is not followed by text longer than 50-or-so chars.

There is nothing more to fix. (Well, there is, but not in this context.)

-- 
js
suse labs